"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var FormLabel_1 = tslib_1.__importDefault(require("react-bootstrap/FormLabel"));
var Feedback_1 = tslib_1.__importDefault(require("react-bootstrap/Feedback"));
var FormControl_1 = tslib_1.__importDefault(require("react-bootstrap/FormControl"));
var FormGroup_1 = tslib_1.__importDefault(require("react-bootstrap/FormGroup"));
var core_1 = require("@reactionable/core");
function FormField(_a) {
    var label = _a.label, children = _a.children, props = tslib_1.__rest(_a, ["label", "children"]);
    var renderChildren = function (fieldProps, error) {
        return react_1.default.createElement(FormGroup_1.default, { controlId: fieldProps.field.name },
            label && react_1.default.createElement(FormLabel_1.default, null, label),
            children && 'function' === typeof children
                ? children(fieldProps, error)
                : react_1.default.createElement(FormControl_1.default, tslib_1.__assign({}, fieldProps.field, { children: children })),
            error && react_1.default.createElement(Feedback_1.default, { type: "invalid" }, error));
    };
    return react_1.default.createElement(core_1.FormField, tslib_1.__assign({}, props, { children: renderChildren }));
}
exports.FormField = FormField;
//# sourceMappingURL=FormField.js.map